Subject: Re: [PATCH net-next 1/3] lwt: Add support to redirect dst.input

From: Robert Shearman <[email-masked]>
Date: Fri, 14 Aug 2015 08:50:00 +0100

On 13/08/15 17:54, Tom Herbert wrote:
> This patch adds the capability to redirect dst input in the same way
> that dst output is redirected by LWT.
>
> Also, save the original dst.input and and dst.out when setting up
> lwtunnel redirection. These can be called by the client as a pass-
> through.

The lwt state is refcounted so it can be shared by different dst 
contexts, so is it safe to be storing per-dst state in the lwt state?

Otherwise, it looks good.

Thanks,
Rob